# Created by pyp2rpm-3.3.0
%global pypi_name gitlab

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        3%{?dist}.1
Summary:        Interact with GitLab API

License:        LGPLv3
URL:            https://github.com/python-gitlab/python-gitlab
Source0:        https://files.pythonhosted.org/packages/source/p/python-gitlab/python-gitlab-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-requests >= 1.0
BuildRequires:  python2-setuptools
BuildRequires:  python2-six
BuildRequires:  python2-httmock
BuildRequires:  python2-mock

%description
Interact with GitLab API

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python2-requests >= 1.0
Requires:       python2-setuptools
Requires:       python2-six
%description -n python2-%{pypi_name}
Interact with GitLab API

%prep
%autosetup -n python-%{pypi_name}-%{version}
for Files in gitlab/v4/cli.py gitlab/v3/cli.py \
             gitlab/cli.py gitlab/tests/test_cli.py \
             gitlab/tests/test_gitlabobject.py   ; do
  %{__sed} -i.orig -e 1d ${Files}
  touch -r ${Files}.orig ${Files}
  %{__rm} ${Files}.orig
done
# Backport to old external namespace for Napolean with sphinx.
sed -i 's/sphinx.ext.napoleon/sphinxcontrib.napoleon/g' docs/ext/docstrings.py


%build
%py2_build
# generate html docs
#PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install

%check
%{__python2} setup.py test

%files -n python2-%{pypi_name}
%doc README.rst
%license COPYING
%{_bindir}/gitlab
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/python_gitlab-%{version}-py?.?.egg-info

%changelog
* Mon Jun 4 2018 Steve Traylen <steve.traylen@cern.ch> - 1.3.0-3 1
- Backport to epel7

* Wed May 16 2018 Steve Traylen <steve.traylen@cern.ch> - 1.3.0-3
- Correct copy paste error.

* Wed May 16 2018 Steve Traylen <steve.traylen@cern.ch> - 1.3.0-2
- Specify COPYING file. Add BR on python-mock.

* Fri May 11 2018 Steve Traylen <steve.traylen@cern.ch> - 1.3.0-1
- Initial package.
